grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.20-22-gfb9ad72


From: Jim Meyering
Subject: grep branch, master, updated. v2.20-22-gfb9ad72
Date: Thu, 11 Sep 2014 03:17:56 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  fb9ad72522eadfb134459172a3784e55c1a296fe (commit)
      from  bc2ed984c8c6a3d3ceccd5bf502a28505f3b369e (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=fb9ad72522eadfb134459172a3784e55c1a296fe


commit fb9ad72522eadfb134459172a3784e55c1a296fe
Author: Jim Meyering <address@hidden>
Date:   Mon Sep 8 07:52:19 2014 -0700

    tests: add expect-to-fail test for a glibc regexp bug
    
    * tests/triple-backref: New file.
    * tests/Makefile.am (TESTS): Add it.
    (XFAIL_TESTS): List it as a known, always-failing test.
    Based on the bug report from Paul Eggert:
    https://sourceware.org/bugzilla/show_bug.cgi?id=17356

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 31e2a81..d47978f 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -22,7 +22,7 @@ AM_CFLAGS = $(WARN_CFLAGS) $(WERROR_CFLAGS)
 AM_LDFLAGS = $(IGNORE_UNUSED_LIBRARIES_CFLAGS)
 LDADD = ../lib/libgreputils.a $(LIBINTL) ../lib/libgreputils.a
 
-XFAIL_TESTS =
+XFAIL_TESTS = triple-backref
 
 # Equivalence classes are only supported when using the system
 # matcher (which means only with glibc).
@@ -104,6 +104,7 @@ TESTS =                                             \
   status                                       \
   surrogate-pair                               \
   symlink                                      \
+  triple-backref                               \
   turkish-eyes                                 \
   turkish-I                                    \
   turkish-I-without-dot                                \
diff --git a/tests/triple-backref b/tests/triple-backref
new file mode 100755
index 0000000..6701819
--- /dev/null
+++ b/tests/triple-backref
@@ -0,0 +1,35 @@
+#! /bin/sh
+# Test for a bug in glibc's regex code as of September 7, 2014.
+#
+# Copyright (C) 2014 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+failures=0
+
+# FIXME-2014: once the glibc bug is fixed, remove this skip-if-glibc guard.
+# Since this tests for an as-yet-unfixed bug in glibc,
+# we expect it to fail on such systems.
+# Since we expect this test to fail, we must skip this test on
+# non-glibc systems.
+cat <<\EOF > glibc.c
+#include <features.h>
+#if defined __GNU_LIBRARY__ && __GLIBC__ >= 2
+#else
+"run this test only with glibc"
+#endif
+EOF
+$CC -c glibc.c \
+  || skip_ 'this test runs only on systems with glibc'
+
+echo a > in || framework_failure_
+
+fail=0
+grep -E '(.?)(.?)(.?)\3\2\1' in > out || fail=1
+compare out in || fail=1
+
+Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 tests/Makefile.am    |    3 ++-
 tests/triple-backref |   35 +++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+), 1 deletions(-)
 create mode 100755 tests/triple-backref


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]